//+------------------------------------------------------------------+
//|                                              CheckModeling#8.mq4 |
//|                      Copyright  2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

extern string FileName1 = "EURUSD#1.txt";
extern string FileName2 = "EURUSD#2.txt";
extern string FileName3 = "EURUSD#3.txt";
extern string TextToAppend1 = "";
extern string TextToAppend2 = "";
int count1 = 0;
int count2 = 0;
int name1  = 0;

int counter = 0;

int handle1;
int handle2;

int deinit()
   {
   if(handle1 != 1)
      {
      FileClose(handle1);
      }
   }
   
int start()
   {
   FileAppend1(FileName1,count1);
   FileAppend2(FileName2,count2);

   }

void FileAppend1(string name1, int count1)
   {
   handle1 = FileOpen(FileName1,FILE_CSV|FILE_READ|FILE_WRITE);
   while(counter < 10)
      {
      handle1 = FileOpen(FileName1,FILE_CSV|FILE_READ|FILE_WRITE);
      if(handle1 == -1)
         {
         Print("File Print Failed");
         return(0);
         }
      
      if(handle1 != -1)
         {
         string Yr = Year();
   
         string num = DoubleToStr(Month(),0);
         int Length1 = StringLen(num);

         if(Length1==1)
            {
            string Mon = StringConcatenate("0",Month());
            }
            else
            {
            Mon = Month();
            }

         string num2 = DoubleToStr(Day(),0);
         int Length2 = StringLen(num2);

         if(Length2==1)
            {
            string Date = StringConcatenate("0",Day());
            }
            else
            {
            Date = Day();
            }

         string num3 = DoubleToStr(Hour(),0);
         int Length3 = StringLen(num3);

         if(Length3==1)
            {
            string Hr = StringConcatenate("0",Hour());
            }
            else
            {
            Hr = Hour();
            }


         string num4 = DoubleToStr(Minute(),0);
         int Length4 = StringLen(num4);

         if(Length4==1)
            {
            string Min = StringConcatenate("0",Minute());
            }
            else
            {
            Min = Minute();
            }

         string concat = StringConcatenate(Yr,Mon,Date,Hr,Min);
         string Open_0    = DoubleToStr(Open[0],5);
         string High_0    = DoubleToStr(High[0],5);
         string Low_0     = DoubleToStr(Low[0],5);
         string Close_0   = DoubleToStr(Close[0],5);
         string Volume_0  = DoubleToStr(Volume[0],5);
         string Bid_0     = DoubleToStr(Bid,5);
         string Open_1    = DoubleToStr(iOpen(NULL,PERIOD_M1,0),5);
         string High_1    = DoubleToStr(iHigh(NULL,PERIOD_M1,0),5);
         string Low_1     = DoubleToStr(iLow(NULL,PERIOD_M1,0),5);
         string Close_1   = DoubleToStr(iClose(NULL,PERIOD_M1,0),5);
         string Volume_1  = DoubleToStr(iVolume(NULL,PERIOD_M1,0),5);
         string Open_5    = DoubleToStr(iOpen(NULL,PERIOD_M5,0),5);
         string High_5    = DoubleToStr(iHigh(NULL,PERIOD_M5,0),5);
         string Low_5     = DoubleToStr(iLow(NULL,PERIOD_M5,0),5);
         string Close_5   = DoubleToStr(iClose(NULL,PERIOD_M5,0),5);
         string Volume_5  = DoubleToStr(iVolume(NULL,PERIOD_M5,0),5);
         string Open_15   = DoubleToStr(iOpen(NULL,PERIOD_M15,0),5);
         string High_15   = DoubleToStr(iHigh(NULL,PERIOD_M15,0),5);
         string Low_15    = DoubleToStr(iLow(NULL,PERIOD_M15,0),5);
         string Close_15  = DoubleToStr(iClose(NULL,PERIOD_M15,0),5);
         string Volume_15 = DoubleToStr(iVolume(NULL,PERIOD_M15,0),5);
         string Open_30   = DoubleToStr(iOpen(NULL,PERIOD_M30,0),5);
         string High_30   = DoubleToStr(iHigh(NULL,PERIOD_M30,0),5);
         string Low_30    = DoubleToStr(iLow(NULL,PERIOD_M30,0),5);
         string Close_30  = DoubleToStr(iClose(NULL,PERIOD_M30,0),5);
         string Volume_30 = DoubleToStr(iVolume(NULL,PERIOD_M30,0),5);
         string Open_60   = DoubleToStr(iOpen(NULL,PERIOD_H1,0),5);
         string High_60   = DoubleToStr(iHigh(NULL,PERIOD_H1,0),5);
         string Low_60    = DoubleToStr(iLow(NULL,PERIOD_H1,0),5);
         string Close_60  = DoubleToStr(iClose(NULL,PERIOD_H1,0),5);
         string Volume_60 = DoubleToStr(iVolume(NULL,PERIOD_H1,0),5);
         string Open_240  = DoubleToStr(iOpen(NULL,PERIOD_H4,0),5);
         string High_240  = DoubleToStr(iHigh(NULL,PERIOD_H4,0),5);
         string Low_240   = DoubleToStr(iLow(NULL,PERIOD_H4,0),5);
         string Close_240 = DoubleToStr(iClose(NULL,PERIOD_H4,0),5);
         string Volume_240= DoubleToStr(iVolume(NULL,PERIOD_H4,0),5);
         string Open_1440 = DoubleToStr(iOpen(NULL,PERIOD_D1,0),5);
         string High_1440 = DoubleToStr(iHigh(NULL,PERIOD_D1,0),5);
         string Low_1440  = DoubleToStr(iLow(NULL,PERIOD_D1,0),5);
         string Close_1440= DoubleToStr(iClose(NULL,PERIOD_D1,0),5);
         string Volume_1440= DoubleToStr(iVolume(NULL,PERIOD_D1,0),5);
         string Open_10880 = DoubleToStr(iOpen(NULL,PERIOD_W1,0),5);
         string High_10880 = DoubleToStr(iHigh(NULL,PERIOD_W1,0),5);
         string Low_10880  = DoubleToStr(iLow(NULL,PERIOD_W1,0),5);
         string Close_10880= DoubleToStr(iClose(NULL,PERIOD_W1,0),5);
         string Volume_10880= DoubleToStr(iVolume(NULL,PERIOD_W1,0),5);
         string Open_43200 = DoubleToStr(iOpen(NULL,PERIOD_MN1,0),5);
         string High_43200 = DoubleToStr(iHigh(NULL,PERIOD_MN1,0),5);
         string Low_43200  = DoubleToStr(iLow(NULL,PERIOD_MN1,0),5);
         string Close_43200= DoubleToStr(iClose(NULL,PERIOD_MN1,0),5);
         string Volume_43200= DoubleToStr(iVolume(NULL,PERIOD_MN1,0),5);


         TextToAppend1 = StringConcatenate(counter,";",concat,";",Yr,";",Mon,";",Date,";",Hr,";",Min);
         TextToAppend2 = StringConcatenate(TextToAppend1,";",Open_60,";",High_60,";",Low_60);

         FileSeek(handle1,0,SEEK_END);
         FileWrite(handle1,TextToAppend2);
         FileFlush(handle1);
         counter++;
         Print("counter","***",counter);
         }
      }
   FileClose(handle1);
   } 
   
void FileAppend2(string name1, int count2)
   {
   count2 = 10;
   handle2 = FileOpen(FileName2,FILE_CSV|FILE_READ|FILE_WRITE);
   while(count2 < 1000000)      
         {
         if(handle2 == -1)
            {
            Print("File Print Failed");
            return(0);
            }
      
         if(handle2 != -1)
            {
            string Yr = Year();
   
            string num = DoubleToStr(Month(),0);
            int Length1 = StringLen(num);

            if(Length1==1)
               {
               string Mon = StringConcatenate("0",Month());
               }
               else
               {
               Mon = Month();
               }

            string num2 = DoubleToStr(Day(),0);
            int Length2 = StringLen(num2);

            if(Length2==1)
               {
               string Date = StringConcatenate("0",Day());
               }
               else
               {
               Date = Day();
               }

            string num3 = DoubleToStr(Hour(),0);
            int Length3 = StringLen(num3);

            if(Length3==1)
               {
               string Hr = StringConcatenate("0",Hour());
               }
               else
               {
               Hr = Hour();
               }


            string num4 = DoubleToStr(Minute(),0);
            int Length4 = StringLen(num4);

            if(Length4==1)
               {
               string Min = StringConcatenate("0",Minute());
               }
               else
               {
               Min = Minute();
               }

            string concat = StringConcatenate(Yr,Mon,Date,Hr,Min);
            string Open_0    = DoubleToStr(Open[0],5);
            string High_0    = DoubleToStr(High[0],5);
            string Low_0     = DoubleToStr(Low[0],5);
            string Close_0   = DoubleToStr(Close[0],5);
            string Volume_0  = DoubleToStr(Volume[0],5);
            string Bid_0     = DoubleToStr(Bid,5);
            string Open_1    = DoubleToStr(iOpen(NULL,PERIOD_M1,0),5);
            string High_1    = DoubleToStr(iHigh(NULL,PERIOD_M1,0),5);
            string Low_1     = DoubleToStr(iLow(NULL,PERIOD_M1,0),5);
            string Close_1   = DoubleToStr(iClose(NULL,PERIOD_M1,0),5);
            string Volume_1  = DoubleToStr(iVolume(NULL,PERIOD_M1,0),5);
            string Open_5    = DoubleToStr(iOpen(NULL,PERIOD_M5,0),5);
            string High_5    = DoubleToStr(iHigh(NULL,PERIOD_M5,0),5);
            string Low_5     = DoubleToStr(iLow(NULL,PERIOD_M5,0),5);
            string Close_5   = DoubleToStr(iClose(NULL,PERIOD_M5,0),5);
            string Volume_5  = DoubleToStr(iVolume(NULL,PERIOD_M5,0),5);
            string Open_15   = DoubleToStr(iOpen(NULL,PERIOD_M15,0),5);
            string High_15   = DoubleToStr(iHigh(NULL,PERIOD_M15,0),5);
            string Low_15    = DoubleToStr(iLow(NULL,PERIOD_M15,0),5);
            string Close_15  = DoubleToStr(iClose(NULL,PERIOD_M15,0),5);
            string Volume_15 = DoubleToStr(iVolume(NULL,PERIOD_M15,0),5);
            string Open_30   = DoubleToStr(iOpen(NULL,PERIOD_M30,0),5);
            string High_30   = DoubleToStr(iHigh(NULL,PERIOD_M30,0),5);
            string Low_30    = DoubleToStr(iLow(NULL,PERIOD_M30,0),5);
            string Close_30  = DoubleToStr(iClose(NULL,PERIOD_M30,0),5);
            string Volume_30 = DoubleToStr(iVolume(NULL,PERIOD_M30,0),5);
            string Open_60   = DoubleToStr(iOpen(NULL,PERIOD_H1,0),5);
            string High_60   = DoubleToStr(iHigh(NULL,PERIOD_H1,0),5);
            string Low_60    = DoubleToStr(iLow(NULL,PERIOD_H1,0),5);
            string Close_60  = DoubleToStr(iClose(NULL,PERIOD_H1,0),5);
            string Volume_60 = DoubleToStr(iVolume(NULL,PERIOD_H1,0),5);
            string Open_240  = DoubleToStr(iOpen(NULL,PERIOD_H4,0),5);
            string High_240  = DoubleToStr(iHigh(NULL,PERIOD_H4,0),5);
            string Low_240   = DoubleToStr(iLow(NULL,PERIOD_H4,0),5);
            string Close_240 = DoubleToStr(iClose(NULL,PERIOD_H4,0),5);
            string Volume_240= DoubleToStr(iVolume(NULL,PERIOD_H4,0),5);
            string Open_1440 = DoubleToStr(iOpen(NULL,PERIOD_D1,0),5);
            string High_1440 = DoubleToStr(iHigh(NULL,PERIOD_D1,0),5);
            string Low_1440  = DoubleToStr(iLow(NULL,PERIOD_D1,0),5);
            string Close_1440= DoubleToStr(iClose(NULL,PERIOD_D1,0),5);
            string Volume_1440= DoubleToStr(iVolume(NULL,PERIOD_D1,0),5);
            string Open_10880 = DoubleToStr(iOpen(NULL,PERIOD_W1,0),5);
            string High_10880 = DoubleToStr(iHigh(NULL,PERIOD_W1,0),5);
            string Low_10880  = DoubleToStr(iLow(NULL,PERIOD_W1,0),5);
            string Close_10880= DoubleToStr(iClose(NULL,PERIOD_W1,0),5);
            string Volume_10880= DoubleToStr(iVolume(NULL,PERIOD_W1,0),5);
            string Open_43200 = DoubleToStr(iOpen(NULL,PERIOD_MN1,0),5);
            string High_43200 = DoubleToStr(iHigh(NULL,PERIOD_MN1,0),5);
            string Low_43200  = DoubleToStr(iLow(NULL,PERIOD_MN1,0),5);
            string Close_43200= DoubleToStr(iClose(NULL,PERIOD_MN1,0),5);
            string Volume_43200= DoubleToStr(iVolume(NULL,PERIOD_MN1,0),5);

         
            TextToAppend1 = StringConcatenate(counter,";",concat,";",Yr,";",Mon,";",Date,";",Hr,";",Min);
            TextToAppend2 = StringConcatenate(TextToAppend1,";",Open_60,";",High_60,";",Low_60);

            FileSeek(handle2,0,SEEK_END);
            FileWrite(handle2,TextToAppend2);
            FileFlush(handle2);
            count2++;
            Print("count2","***",count2);
            }
         }   
   FileClose(handle2);
   }   
          